#include <iostream>

using namespace std;

int main(void)
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, prvi, trenutni;
    bool sledeci = 0;

    cin >> n >> k;
    cin >> prvi;

    if(prvi == k)
        sledeci = 1;

    for(int i = 1; i < n-1; i++)
    {
        cin >> trenutni;

        if(trenutni == k)
            sledeci = 1;
        else if(sledeci)
        {
            cout << trenutni << "\n";
            sledeci = 0;
        }
    }

    cin >> trenutni;
    if(trenutni == k)
        cout << prvi << "\n";
    else if(sledeci)
        cout << trenutni << "\n";

    return 0;
}